Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Text Template Operations
GETText Template OperationsSince 2.3SynchronousAuth Required

QuerySNSTextTemplate

QuerySNSTextTemplate

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      Th resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • applicationPlatformTypeStringRequired

      The application platform type.

    • templateStringRequired

      The template text.

    • defaultTemplateBooleanRequired

      Whether to set the template as the default template.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/zwatch/alarms/sns/text-templates

/zstack/v1/zwatch/alarms/sns/text-templates

Operation ID

QuerySNSTextTemplate

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/zwatch/alarms/sns/text-templates' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "c275ce35fae13a09bcd4c54a7406bd3e", "name": "Test-SNS-Template", "description": "sns text template", "applicationPlatformType": "Email", "template": "Alarm ${ALARM_NAME} status is changed to ${ALARM_CURRENT_STATUS}", "defaultTemplate": false, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history